::-webkit-scrollbar {
    width: 20px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {

    background-color: #007fff;

}

.fullWidthCenterDiv {
    display: flex;
    width: 100%;
    position: absolute;
    justify-content: center;
    margin: 0 auto
}

input[type=number] {
    background-color: transparent;
    border: 2px solid #d6dee1;
    border-radius: 20px;
    padding: 10px;
    color: white;
    width: 60px;
    text-align: center;
    font-size: 18px;
}

/* Optional hover effect */
input[type=number]:hover {
    border-color: #007fff;
}

#paySpinner {
    display: none;
    margin-left: 10px;
    width: 18px;
    height: 18px;
    border: 3px solid #fff;
    border-top: 3px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@font-face {
    font-family: "Miedinger";
    src: url("MiedingerBold.ttf");
}

@font-face {
    font-family: "Quicksand";
    src: url("Quicksand-Regular.ttf");
}

@font-face {
    font-family: "QuicksandBold";
    src: url("Quicksand-Bold.ttf");
}

.Miedinger {
    font-family: "Miedinger";
    color: #007fff;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center; /* align vertical */
    -webkit-text-stroke: 5px black;
}


.quicksand-400 {
    font-family: "Quicksand", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: white
}

.quicksandBold {
    font-family: "QuicksandBold", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: white
}

.fix-stroke {
    paint-order: stroke fill;
}

input {
    border-radius: 15px;
    border: 4px solid #046ec4;
    width: 95%;
    margin: 0;
}

button {
    background-color: #046ec4;
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    border-radius: 25px;
    z-index: 10;
}

button:hover {
    background-color: #5fafff;
}

#launchGameButton.disabled {
    background-color: grey;
    color: #333;
    cursor: not-allowed;
}

.bracketCheckbox {
    cursor: pointer;
}

body {
    justify-items: center;
}

/* UPLOAD  */

.customBrandingFilename {
    align-self: flex-start;
    text-align: right;
}

.progress {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 1rem;
    overflow: hidden;
    font-size: .75rem;
    background-color: #e9ecef;
    border-radius: .25rem;
}

@-webkit-keyframes progress-bar-stripes{
    from{
        background-position:1rem 0
    }
    to{
        background-position:0 0
    }
}

@keyframes progress-bar-stripes{
    from{
        background-position:1rem 0
    }
    to{
        background-position:0 0
    }
}

input::-webkit-input-placeholder {
    color: #5fafff;
    opacity: .5;
}
input:-moz-placeholder {
    color: #5fafff;
    opacity: .5;
}
input::-moz-placeholder {
    color: #5fafff;
    opacity: .5;
}
input:-ms-input-placeholder {
    color: #5fafff;
    opacity: .5;
}

.progress{
    display:-webkit-box;display:-ms-flexbox;display:flex;height:1rem;overflow:hidden;font-size:.75rem;background-color:#e9ecef;border-radius:.25rem
}

.progress-bar{
    display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;color:#fff;text-align:center;background-color:#007bff;transition:width .6s ease
}

.progress-bar-striped{
    background-image:linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);background-size:1rem 1rem
}

.progress-bar-animated{
    -webkit-animation:progress-bar-stripes 1s linear infinite;animation:progress-bar-stripes 1s linear infinite
}

.QRcodeImageID img {
    height: 100%;
    width: 100%;
}

.highlightButton:hover {
    filter: brightness(2);
}

.bracketCheckbox:hover {
    filter: brightness(2);
}

/* Modal  */
.modalTitle {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    align-items: center;
}
.menuHighlightRow {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 95%
}

#modaContentDivID {
    overflow-y: auto;
    overflow-x: hidden;
}



.sliderVideoDuel{
    text-align: center;
}

.customBrandingOptionsRow{
    display: flex;
    background-color: rgba(255, 255, 255, 0);
    align-items: center;
}

.customBrandingOptionsRow{
    display: flex;
    background-color: rgba(255, 255, 255, 0);
    align-items: center;
}

.customBrandingFilename{
    height: 100%;
    align-content: center;
}

.carriageReturnRowPage04{
    display: flex;
    align-items: center;
}

.burgerMenuItem {
    display: flex;
    width: 100%;
    justify-content: center;
    padding-top: 4%;
}

.topNavLogoAndMenu {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    z-index:998;
    flex-direction: row;
    width: 100%;
    background-color: black;
    opacity: .5;
}

.topNavLogoAndMenu:hover {
    opacity: 1;
}

.highlightNavText:hover {
    color: #5fafff;
}

.codeRevealNumber {
    display: flex;
    background-color: #4c4c4c;
    justify-content: center;
    margin: 1%;
    position: absolute;
}

#card-element {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
    margin-bottom: 10px;
    background-color: #333;
    color: white;
}

#spinner {
    display: none;
    width: 40px;
    height: 40px;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-top: 20px;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

#card-element {
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 6px;
    background-color: black;
    color: white;
    font-size: 16px;
}

#card-element.StripeElement--focus {
    border-color: #6772e5;
    box-shadow: 0 0 0 1px #6772e5;
}

/* Image container */
.zoom-image {
    object-fit: cover; /* Makes sure the image maintains its aspect ratio */
    animation: zoomInOut 1s infinite; /* animation name and duration (5 seconds) */
}

/* Define the keyframes for the zooming effect */
@keyframes zoomInOut {
    0% {
        transform: scale(1); /* normal size */
    }
    50% {
        transform: scale(1.1); /* zoom in (110%) */
    }
    100% {
        transform: scale(1); /* back to normal size */
    }
}





